# OfferCreateFlagsInterface | xrpl
Documentation for xrpl

# Interface OfferCreateFlagsInterface

Map of flags to boolean values representing OfferCreate transaction flags.

### Example

    const tx: OfferCreate = {
    Account: 'rhFcpWDHLqpBmX4ezWiA5VLSS4e1BHqhHd',
    TakerGets: '43000.51',
    TakerPays: '12928290425',
    TransactionType: 'OfferCreate',
    Flags: {
      tfPassive: true,
      tfFillOrKill: true,
     },
    }

    // Autofill the tx to see how flags actually look compared to the interface usage.
    const autofilledTx = await client.autofill(tx)
    console.log(autofilledTx)
    // {
    // Account: 'rhFcpWDHLqpBmX4ezWiA5VLSS4e1BHqhHd',
    // TakerGets: '43000.51',
    // TakerPays: '12928290425',
    // TransactionType: 'OfferCreate',
    // Flags: 327680,
    // Sequence: 21970384,
    // Fee: '12',
    // LastLedgerSequence: 21970404
    // }

#### Hierarchy

- GlobalFlags
  - OfferCreateFlagsInterface

- Defined in packages/xrpl/src/models/transactions/offerCreate.ts:82

#####
Index

### Properties

tfFillOrKill?
tfImmediateOrCancel?
tfPassive?
tfSell?

## Properties

### `Optional` tfFillOrKill

tfFillOrKill?: boolean

- Defined in packages/xrpl/src/models/transactions/offerCreate.ts:85

### `Optional` tfImmediateOrCancel

tfImmediateOrCancel?: boolean

- Defined in packages/xrpl/src/models/transactions/offerCreate.ts:84

### `Optional` tfPassive

tfPassive?: boolean

- Defined in packages/xrpl/src/models/transactions/offerCreate.ts:83

### `Optional` tfSell

tfSell?: boolean

- Defined in packages/xrpl/src/models/transactions/offerCreate.ts:86

Generated using TypeDoc